/*
 * Checkstyle Beans: A NetBeans checkstyle integration plugin.
 * Copyright (C) 2007-1013  Petr Hejl
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package cz.sickboy.netbeans.checkstyle.options;

import javax.swing.DefaultComboBoxModel;

/**
 * The layout of the configuration panel.
 *
 * @author Petr Hejl
 */
public class CheckstyleOptionsPanel extends javax.swing.JPanel {

    /**
     * Constructs the configuration panel.
     */
    public CheckstyleOptionsPanel() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        configFileLabel = new javax.swing.JLabel();
        propertyFileLabel = new javax.swing.JLabel();
        severityLabel = new javax.swing.JLabel();
        ignoredPathsLabel = new javax.swing.JLabel();
        ignoredPathsScrollPane = new javax.swing.JScrollPane();

        classpathPanel.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(classpathLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.classpathLabel.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(configFileBrowseButton, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.configFileBrowseButton.text")); // NOI18N

        configFileLabel.setLabelFor(configFileLocationField);
        org.openide.awt.Mnemonics.setLocalizedText(configFileLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.configFileLabel.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(propertiesLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.propertiesLabel.text")); // NOI18N

        propertiesPanel.setLayout(new java.awt.BorderLayout());

        propertyFileLabel.setLabelFor(propertyFileLocationField);
        org.openide.awt.Mnemonics.setLocalizedText(propertyFileLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.propertyFileLabel.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(propertyFileBrowseButton, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.propertyFileBrowseButton.text")); // NOI18N

        severityLabel.setLabelFor(severityComboBox);
        org.openide.awt.Mnemonics.setLocalizedText(severityLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.severityLabel.text")); // NOI18N

        severityComboBox.setModel(new DefaultComboBoxModel(cz.sickboy.netbeans.checkstyle.Severity.values()));

        ignoredPathsLabel.setLabelFor(ignoredPathsArea);
        org.openide.awt.Mnemonics.setLocalizedText(ignoredPathsLabel, org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.ignoredPathsLabel.text")); // NOI18N

        ignoredPathsScrollPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        ignoredPathsScrollPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);

        ignoredPathsArea.setColumns(20);
        ignoredPathsArea.setLineWrap(true);
        ignoredPathsArea.setRows(2);
        ignoredPathsScrollPane.setViewportView(ignoredPathsArea);
        ignoredPathsArea.getAccessibleContext().setAccessibleName(org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.ignoredPathsArea.AccessibleContext.accessibleName")); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(severityLabel)
                    .addComponent(configFileLabel)
                    .addComponent(propertyFileLabel)
                    .addComponent(propertiesLabel)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(ignoredPathsLabel, javax.swing.GroupLayout.Alignment.TRAILING)
                        .addComponent(classpathLabel)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(severityComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(0, 206, Short.MAX_VALUE))
                            .addComponent(configFileLocationField)
                            .addComponent(propertyFileLocationField))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(configFileBrowseButton)
                            .addComponent(propertyFileBrowseButton)))
                    .addComponent(classpathPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(propertiesPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(ignoredPathsScrollPane)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(severityLabel)
                    .addComponent(severityComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(configFileLabel)
                    .addComponent(configFileLocationField, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(configFileBrowseButton))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(propertyFileLabel)
                    .addComponent(propertyFileLocationField, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(propertyFileBrowseButton))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(propertiesPanel, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(propertiesLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(ignoredPathsScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ignoredPathsLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(classpathPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(classpathLabel)
                        .addGap(0, 0, Short.MAX_VALUE))))
        );

        configFileLocationField.getAccessibleContext().setAccessibleName(org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.configFileLocationField.AccessibleContext.accessibleName")); // NOI18N
        propertyFileLocationField.getAccessibleContext().setAccessibleName(org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.propertyFileLocationField.AccessibleContext.accessibleName")); // NOI18N
        severityComboBox.getAccessibleContext().setAccessibleName(org.openide.util.NbBundle.getMessage(CheckstyleOptionsPanel.class, "CheckstyleOptionsPanel.severityComboBox.AccessibleContext.accessibleName")); // NOI18N
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    final javax.swing.JLabel classpathLabel = new javax.swing.JLabel();
    final javax.swing.JPanel classpathPanel = new javax.swing.JPanel();
    final javax.swing.JButton configFileBrowseButton = new javax.swing.JButton();
    private javax.swing.JLabel configFileLabel;
    final javax.swing.JTextField configFileLocationField = new javax.swing.JTextField();
    final javax.swing.JTextArea ignoredPathsArea = new javax.swing.JTextArea();
    private javax.swing.JLabel ignoredPathsLabel;
    private javax.swing.JScrollPane ignoredPathsScrollPane;
    final javax.swing.JLabel propertiesLabel = new javax.swing.JLabel();
    final javax.swing.JPanel propertiesPanel = new javax.swing.JPanel();
    final javax.swing.JButton propertyFileBrowseButton = new javax.swing.JButton();
    private javax.swing.JLabel propertyFileLabel;
    final javax.swing.JTextField propertyFileLocationField = new javax.swing.JTextField();
    final javax.swing.JComboBox severityComboBox = new javax.swing.JComboBox();
    private javax.swing.JLabel severityLabel;
    // End of variables declaration//GEN-END:variables

}
